Skip to main content
`Ctrl`+`K`

# BVSetType

Selects the type for the `BV` object.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVSetType(BV bv,BVType type)

Logically Collective

## Input Parameters

- bv - the basis vectors context

- type - a known type

## Options Database Key

- -bv_type type - sets `BV` type

## See Also

BV: Basis Vectors, `BVGetType()`

## Level

intermediate

## Location

src/sys/classes/bv/interface/bvbasic.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages